Gift Cards

Gift Cards

8OAS 3.0

Get information about gift cards. See Wiki

API Base URL
  • Server 1:https://api-qual.migros.ch

    URL of upstream

Security
Kong-Api-Key (apiKey)

Kong key-auth authentication

basicAuth (http)

Basic authentication is a simple authentication scheme built into the HTTP protocol.
To use it, send your HTTP requests with an Authorization header that contains the word Basic
followed by a space and a base64-encoded string username:password.

Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==

Additional Information
Contact MGB-UDP-Products-Services (arg_mgb-udp-products-services@mgb.ch)

Gift Cards

Get a single type of gift card (language-dependent)

Get information about a single type of gift card by ID.

Specify language via Accept-Language header.

get
https://api-qual.migros.ch/migros/customers/payment-methods/v1/giftcards/{id}

Query Parameters

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

idstringrequired

Gift card ID

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

200 application/json

Returned when successful

GiftCard

Represents a gift card in the API.

classificationsarray[object]

Represents a gift card classification.

Show Child Parameters
digitalboolean

Is this a digital gift card or not.

disclaimerstring | null

Terms and conditions.

hintstring | null
idstringrequired

ID of the gift card.

imageOne Of
Imageobject

An image and its properties.

Show Child Parameters
namestringrequired
get/migros/customers/payment-methods/v1/giftcards/{id}
 
200 application/json

Returns status information about the specified personal gift card.

Returns status information about the specified personal gift card.

get
https://api-qual.migros.ch/migros/customers/payment-methods/v1/personal-giftcards/{person_id}/cards/{card_id}

Query Parameters

pinstringrequired

Gift Card Pin. Required for security reasons, even though not mandatory by gift card SOAP service.

POS_IDstring

Gift Card POS Protocol Specification Version 1.5.0.

<= 16 characters

TERMINAL_IDstring

Gift Card POS Protocol Specification Version 1.5.0.

<= 16 characters

STORE_IDstring

Store Number/Merchant number.

<= 16 characters

SELLER_NAMEstring

The name of the sales person.

<= 32 characters

POS_TIMESTAMPstring(date-time)

Local transaction date from POS.

POS_TRANS_IDstring

Transaction ID from POS.

<= 16 characters

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

person_idstringrequired

Customer’s person ID.

card_idstringrequired

Gift Card Id

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

Returned when successful

get/migros/customers/payment-methods/v1/personal-giftcards/{person_id}/cards/{card_id}
 

Virtualizes the specified gift card which must be already active.

This registers the information that this gift card is used on an electronic system into the gift card server.
This call fetches the gift card to check if it really is already active, then creates a transaction for the gift card,
and sends a fake activation call to the gift card server. This activation is expected to fail (as the card is already active)
but will be logged on the gift card server side so that people know that this card is associated with a mobile device.

post
https://api-qual.migros.ch/migros/customers/payment-methods/v1/personal-giftcards/{person_id}/cards/{card_id}/virtualize

Query Parameters

pinstringrequired

Gift Card Pin. Required for security reasons, even though not mandatory by gift card SOAP service.

POS_IDstring

Gift Card POS Protocol Specification Version 1.5.0.

<= 16 characters

TERMINAL_IDstring

Gift Card POS Protocol Specification Version 1.5.0.

<= 16 characters

STORE_IDstring

Store Number/Merchant number.

<= 16 characters

SELLER_NAMEstring

The name of the sales person.

<= 16 characters

POS_TIMESTAMPstring(date-time)

Local transaction date from POS.

POS_TRANS_IDstring

Transaction ID from POS.

<= 16 characters

Path Parameters

person_idstringrequired

Customer’s person ID.

card_idstringrequired

Gift Card ID to activate.

Response

Returned when successful

post/migros/customers/payment-methods/v1/personal-giftcards/{person_id}/cards/{card_id}/virtualize